baseurl = "https://trolliet.info/"
title = "Gregory Trolliet"

theme = "hugo-coder"

languagecode = "fr-fr"
defaultcontentlanguage = "fr"
# disableLanguages = ["en"]

paginate = 20
canonifyurls = false

pygmentsstyle = "b2"
pygmentscodefences = true
pygmentscodefencesguesssyntax = true
footnoteReturnLinkContents = "↩"
disqusShortname = "yourdiscussshortname"

[markup]
	# defaultMarkdownHandler = "blackfriday"
	[markup.goldmark]
		[markup.goldmark.renderer]
			unsafe = true

[params]

	author = "Gregory Trolliet"
	info = "Coach numérique, ingénieur, formateur & moniteur"
	description = "Site personnel de Gregory Trolliet"
	keywords = "blog,développeur,personnel"
	images = ["images/avatar_grey.png"]
	avatarurl = "images/avatar_grey.png"
	footercontent = ""
	posts = "Articles"

	favicon_32 = "images/icon32.png"
	favicon_16 = "images/icon16.png"

	dateformat = "January 2, 2006"

	hideCredits = true
	hideCopyright = true

	# Git Commit in Footer, uncomment the line below to enable it.
	# commit = "https://github.com/luizdepra/hugo-coder/tree/"

	rtl = false

	# Use inverted colors
	inverted = false

	# Series see also post count
	maxSeeAlsoItems = 5

	# Custom CSS
	custom_css = ["own-style.css", "fonts/Fork-Awesome-1.1.7/css/fork-awesome.min.css"]

	# Disable disqus comments
	disable_comments = true

[taxonomies]
	tag = "tags"
	category = "categories"
	series = "series"

[[params.social]]
	name = "Mon e-mail"
	icon = "fa fa-envelope"
	weight = 1
	url = "mailto:gregory@trolliet.info"

[[params.social]]
	name = "Mon numéro de téléphone"
	icon = "fa fa-phone"
	weight = 1
	type = "tel"
	url = "+41 79 321 73 50"
[[params.social]]
	name = "Mon CV"
	icon = "fa fa-file-text-o"
	weight = 2
	url = "files/GregoryTrolliet_cv.pdf"
[[params.social]]
	name = "Mon compte Mastodon"
	icon = "fa fa-mastodon"
	weight = 3
	url = "https://mastodon.zaclys.com/@Faket"
[[params.social]]
	name = "Mon compte Twitter"
	icon = "fa fa-twitter"
	weight = 3
	url = "https://twitter.com/gregorytrolliet"
[[params.social]]
	name = "Mon serveur Git"
	icon = "fa fa-gitea"
	weight = 4
	url = "https://git.vulgarisons.info/raghnarok"
[[params.social]]
	name = "Mon compte Pixelfed"
	icon = "fa fa-pixelfed"
	weight = 5
	url = "https://pixelfed.social/Faket"
[[params.social]]
	name = "Mon compte LinkedIn"
	icon = "fa fa-linkedin"
	weight = 5
	url = "https://linkedin.com/in/gregory-trolliet-1a8384199"
[[params.social]]
	name = "Mon compte Facebook"
	icon = "fa fa-facebook"
	weight = 5
	url = "https://www.facebook.com/gregory.trolliet.coach"
[[params.social]]
	name = "Ma clé publique"
	icon = "fa fa-key-modern"
	weight = 6
	url = "https://trolliet.info/files/gregory@trolliet.info(0x3C98E911AA6A3BD0).asc"
[[params.social]]
	name = "Flux RSS"
	icon = "fa fa-rss"
	weight = 7
	url = "https://trolliet.info/index.xml"

[languages]
	[languages.en]
		languagename = "English"

		[languages.en.params]
			author = "Gregory Trolliet"
			description = "Gregory Trolliet's personal website"
			keywords = "blog,developer,personal"
			info = "Digital coach, engineer, trainer and teacher"
			avatarurl = "images/avatar_grey.png"
			footercontent = ""
			posts = "Posts"

		#[[languages.en.menu.main]]
		#name = "About"
		#weight = 1
		#url = "/en/about/"

		# [[languages.en.menu.main]]
		# name = "Blog"
		# weight = 2
		# url = "/posts/"

		[[languages.en.menu.main]]
		name = "Projects"
		weight = 3
		url = "/projects/"

		[[languages.en.menu.main]]
		name = "Contact"
		weight = 5
		url = "/contact/"


	[languages.fr]
		languagename = "Français"
		title = "Gregory Trolliet"

		# [[languages.fr.menu.main]]
		# name = "À propos"
		# weight = 1
		# url = "/about/"

		[[languages.fr.menu.main]]
		name = "Blog"
		weight = 2
		url = "/posts/"

		[[languages.fr.menu.main]]
		name = "Projets"
		weight = 3
		url = "/projects/"

		[[languages.fr.menu.main]]
		name = "Contact"
		weight = 5
		url = "/contact/"
